Foundation.h File Reference
`#include <Alembic/AbcCoreAbstract/All.h>`
`#include <Alembic/Util/All.h>`
Include dependency graph for Foundation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcCoreLayer
namespace | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS

## Typedefs

typedef std::map< std::string, size_t > | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ChildNameMap
typedef Alembic::Util::shared_ptr< ArImpl > | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImplPtr
typedef Alembic::Util::shared_ptr< OrImpl > | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::OrImplPtr
typedef Alembic::Util::shared_ptr< AbcA::ObjectHeader > | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ObjectHeaderPtr
typedef Alembic::Util::shared_ptr< CprImpl > | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImplPtr
typedef std::vector< Alembic::AbcCoreAbstract::ArchiveReaderPtr > | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArchiveReaderPtrs
typedef std::vector< Alembic::AbcCoreAbstract::CompoundPropertyReaderPtr > | Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CompoundReaderPtrs